org.apache.cayenne.access.types

## Class UUIDValueType

- java.lang.Object
- - org.apache.cayenne.access.types.UUIDValueType

- All Implemented Interfaces:
    ValueObjectType<UUID,String>

      public class UUIDValueType
      extends Object
      implements ValueObjectType<UUID,String>

  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UUIDValueType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `fromJavaObject(UUID object)`
    `Class<String>` | `getTargetType()`
    `Class<UUID>` | `getValueType()`
    `String` | `toCacheKey(UUID object)` Returned value should be same for objects that is logically equal.
    `UUID` | `toJavaObject(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UUIDValueType

          public UUIDValueType()

  - ### Method Detail

    - #### getTargetType

          public Class<String> getTargetType()

      Specified by:
        `getTargetType` in interface `ValueObjectType<UUID,String>`
      Returns:
        base type used to serialize V objects to.

    - #### getValueType

          public Class<UUID> getValueType()

      Specified by:
        `getValueType` in interface `ValueObjectType<UUID,String>`
      Returns:
        type of Objects described by this ValueObjectType.

    - #### toJavaObject

          public UUID toJavaObject(String value)

      Specified by:
        `toJavaObject` in interface `ValueObjectType<UUID,String>`
      Parameters:
        `value` - of type T
      Returns:
        java object

    - #### fromJavaObject

          public String fromJavaObject(UUID object)

      Specified by:
        `fromJavaObject` in interface `ValueObjectType<UUID,String>`
      Parameters:
        `object` - java object
      Returns:
        value of type T

    - #### toCacheKey

          public String toCacheKey(UUID object)

      Description copied from interface: `ValueObjectType`
      Returned value should be same for objects that is logically equal.
      Specified by:
        `toCacheKey` in interface `ValueObjectType<UUID,String>`
      Returns:
        String representation usable for cache.

Copyright © 2001–2018 Apache Cayenne. All rights reserved.